WordPress With PHP 5.4

Tips:

How to fix: PHP 5.4 – Feedwordpress plugin error “Call-time pass-by-reference has been removed”?

After the step of importing sql into my database, I got the error notice. It’s not hard to find the solution online. And it is easy to solve by editing two files of admin-ui.php and syndicatedlink.class.php which are under wp-content/plugins/feedwordpress folder. (see more on http://www.networkpanda.com/ngis/2011/12/how-to-fix-php-5-4-feedwordpress-plugin-error-call-time-pass-by-reference-has-been-removed/)

This problem was reported at end of last year. But not long after that its official website release its PHP 5.4 COMPATIBILITY to fix that problem, “This release has been audited to fix potential problems with deprecation notices or fatal errors under recent versions of PHP. In particular, all uses of run-time pass-by-reference have been eliminated from the code; if you were seeing a fatal error reading ‘Call-time pass-by-reference has been removed …’ then upgrading to this release should fix the problem (WordPress.org, see more on http://wordpress.org/extend/plugins/feedwordpress/changelog/).”
Φ

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s